export default interface YamlParsedDTO {
  artists: ArtistDTO[];
}

export interface ArtistDTO {
  name: string;
  verified: boolean;
  profilePicture?: string;
  coverPicture?: string;
  description: string;
  albums?: AlbumDTO[];
  singles?: SingleDTO[];
}

export interface AlbumDTO {
  name: string;
  releaseDate: string;
  description: string;
  coverPicture?: string;
  songs: SongDTO[];
}

export interface SongDTO {
  name: string;
  duration: number;
  trackOrder: number;
  source: string;
}

export interface SingleDTO {
  name: string;
  duration: number;
  releaseDate: string;
  coverPicture?: string;
  source: string;
}
